/***************************************************************************
 *   Copyright (C) 2004 by Abdiel Janulgue                                 *
 *   xynopsis at users dot sourceforge dot net                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

// OpenKiosk Win32 client - Win32Lock
// Alabel: Information Text display for Kiosk Clients
// alabel.h: interface for the ALabel class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ALABEL_H__5D5B0ED4_68E4_4A52_A93C_32BD5B3DE733__INCLUDED_)
#define AFX_ALABEL_H__5D5B0ED4_68E4_4A52_A93C_32BD5B3DE733__INCLUDED_

#include <qwidget.h>
#include <qfont.h>

class ALabel : public QWidget  
{
 public:
        ALabel(QWidget *parent, bool notif = false);
        void setText(const char* s);
	
        void setTitleMessage(const QString & s, const QString & title);
        void stopWarning();
        QString getText() const;

 private:
        QString text;
        QString warning;
        QString title;
        bool warn_draw;
        bool notif_type;
        QFont bfont;
	QFont nfont;

 protected:
        void paintEvent(QPaintEvent*);
        void mouseReleaseEvent(QMouseEvent*);
};

#endif // !defined(AFX_ALABEL_H__5D5B0ED4_68E4_4A52_A93C_32BD5B3DE733__INCLUDED_)
