#include <kapplication.h>
#include <klocale.h>
#include <kcmdlineargs.h>
#include <kmessagebox.h>
// #include <kprocess.h>
// #include <dcopref.h>
// #include <kconfig.h>

#include <sys/types.h>
#include <unistd.h>
#include <stdlib.h>

#include "setup.h"

int main( int argc, char **argv )
{              
        KCmdLineArgs::init( argc, argv,"kiosksetup","OpenKiosk Client Setup", "0.9" );
        KApplication a;
        
        if(getuid() != 0) {
                KMessageBox::sorry(0,
                                   tr2i18n("The OpenKiosk Client setup must be run as root!"));
                exit(0);
        }     
        ClientSetup c;
        
        a.setMainWidget( &c );
        c.show();
        return a.exec();
}
