// changepassdlg.h: interface for the ChangePassDlg class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _CHANGEPASSDLG_H_
#define _CHANGEPASSDLG_H_

#include "changepass.h"
#include <string>

class KioskLock;
class XClient;

class ChangePassDlg : public ChangePass  
{
        Q_OBJECT
 public:
        ChangePassDlg(KioskLock *);
        bool active() const { return isOpen; }
        void setPasswordLength(int min, int max);
        void setNewAccount(bool);
        
        virtual ~ChangePassDlg();

 public slots:
        virtual void show();
        virtual void hide();
                
 private:
        KioskLock *lockinst;
        XClient *cpmethod;
        bool isOpen;
        bool isNewAccount;
        int maxpasslen;
        int minpasslen;
};

#endif // _CHANGEPASSDLG_H_
